Update Customer

Update a customer's details.

Updates the specified customer by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Edits an existing customer with the specified id.

put
Authorizations
AuthorizationstringRequired

API Key as Bearer Token

Path parameters
idstringRequired

The id of the customer to edit

Body
idstring · nullableOptional
full_namestring · nullableOptional

Customer's full name (OPTIONAL)

emailstring · nullableOptional

Customer's email (REQUIRED)

phone_numberstring · nullableOptional

Customer's phone number (OPTIONAL)

addressstring · nullableOptional

Customer's address (OPTIONAL)

Responses
chevron-right
200

Returns 200 and the customer to retry

No content

put
/v1/customers/{id}

No content

Last updated